%define module_name unionfs
%define module_release alt0.M24.3
%define module_version 1.0.11

%define kversion 2.4.26
%define krelease alt13
%define flavour std-up

%define base_arch %(echo %_target_cpu | sed 's/i.86/i386/;s/athlon/i386/')

%define module_dir /lib/modules/%kversion-%flavour-%krelease/kernel/drivers/block/

Summary:	Linux %{module_name} - a unioning file system for Linux
Name:		kernel-modules-%module_name-%flavour
Version:	%module_version
Release:	%module_release
License:	GPL
Group:	System/Kernel and hardware

Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>

ExclusiveOS: Linux
URL: http://www.fsl.cs.sunysb.edu/project-unionfs.html
BuildRequires: kernel-build-tools >= 0.7
BuildRequires: kernel-headers-modules-%flavour = %kversion-%krelease
BuildRequires: kernel-source-%module_name-%module_version

Provides:  kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

Prereq: coreutils
Prereq: modutils
Prereq: kernel-image-%flavour = %kversion-%krelease
Requires(postun): kernel-image-%flavour = %kversion-%krelease
ExclusiveArch:	%ix86

%description
%{module_name} - a unioning file system for Linux 
for kernel %kversion-%flavour-%krelease


%prep

%__rm -rf kernel-source-%module_name-%module_version

%__tar -zxvf %_usrsrc/kernel/sources/kernel-source-%module_name-%module_version.tar.gz

%setup -D -T -n kernel-source-%module_name-%module_version

%build
%if "%kversion" <= "2.6.0"
# build for 2.4 kernel
%make LINUXSRC=%_usrsrc/linux-%kversion-%flavour/ KERNELVERSION=2.4 UNIONFS_DEBUG_CFLAG=
%else
# build for 2.6 kernel
%make LINUXSRC=%_usrsrc/linux-%kversion-%flavour/ KERNELVERSION=2.6 UNIONFS_DEBUG_CFLAG= 
%endif

%install
%__mkdir_p %buildroot%module_dir
%if "%kversion" <= "2.6.0"
%__cp -a unionfs.o %buildroot%module_dir
%else
%__cp -a *.ko %buildroot%module_dir
%endif

%post
%post_kernel_modules %kversion-%flavour-%krelease

%postun
%postun_kernel_modules %kversion-%flavour-%krelease

%files
%defattr(644,root,root,755)
%module_dir

%changelog
* Mon Nov 21 2005 Alexey Borovskoy <alb@altlinux.ru> 1.0.11-alt0.M24.3
- Rebuild for kernel 2.4.26-alt13

* Sun May 29 2005 Alexey Borovskoy <alb@altlinux.ru> 1.0.11-alt0.M24.2
- Rebuild for kernel 2.4.26-alt12

* Fri Apr 15 2005 Alexey Borovskoy <alb@altlinux.ru> 1.0.11-alt0.M24.1
- Backports to Master 2.4

* Thu Mar 03 2005 Anton Farygin <rider@altlinux.ru> 1.0.9-alt6.5
- updated unionfs to current cvs snapshot
- removed included to mainstream (snapshot) patches:
    unionfs-1.0.9-d_delete.patch
    unionfs-022405-1349-creat.patch
    unionfs-022405-1349-dirhelper.patch
    unionfs-022405-1349-copyup-symlinks.patch
- disabled debug for reduce object size

* Wed Mar 02 2005 Anton Farygin <rider@altlinux.ru> 1.0.9-alt5.5
- added patch from unionfs snapshot:
    2005-02-22  Charles P. Wright  <cwright@fsl.cs.sunysb.edu>
    * dentry.c (unionfs_d_delete): d_delete should not be defined (or
    call the lower d_delete).  Thanks to Fabian Franz for identifying
    this issue.

* Wed Mar 02 2005 Anton Farygin <rider@altlinux.ru> 1.0.9-alt4.5
- fixed kernel oops on creat file with len of name > 252
- namelen size for statfs = namelen - 4

* Tue Mar 01 2005 Anton Farygin <rider@altlinux.ru> 1.0.9-alt3.5
- fixed namelen size for statfs
- fixed rmdir with r/o branch on squashfs
- fixed rename for symlinks

* Fri Feb 25 2005 LAKostis <lakostis at altlinux.ru> 1.0.9-alt2.5
- add correct kernel version handling during build.

* Tue Feb 22 2005 Anton Farygin <rider@altlinux.ru> 1.0.9-alt1.5
- first build for ALT Linux


